AI-WX Weather is a BBS door created using the latest AI driven development tools. AI-WX takes
advantage of free APIs on the internet to consume the latest up to the minute weather data for any
location on the planet. There are versions for Windows 32 bit, Windows 64 bit, Linux Arm 32 bit,
Linux Arm 64 bit and Linux 64 platforms. Any BBS software that can produce a door32.sys file should
be capable of running the door. Windows platforms require either .Net Framework 4.8.1 or higher or
.Net Core 9 or higher runtimes. The door has been tested under many different BBS systems and OS
platforms and hardware. Windows 10, 11, Ubuntu, Slackware, Raspbian and RPi3-RPi5, x86 PC, Mystic,
Synchronet to name a few. Live radar that requires only an ANSI terminal is groundbreaking.

Installation Instructions:
The Linux version of the AI-WX Weather Door requires the .Net Core runtime version 9.0
or higher. The archive includes all the .Net Core files needed to run the door. The door also requires
the path to a door32.sys file be passed on the command line using the -D argument. An example is...

./wxdoor -D<path to folder containing door32.sys>

Remember under Linux you must give the wxdoor file execute permissions by running chmod +x wxdoor.

You will also need to edit the lwsdoor.ini file to match your system's requirements. The file is well
commented.

Check out the FAQ.txt file for more info on setup and obtaining free API keys.

The AI-WX Weather Door is being released under the Shareware/Buy Me a Coffee concept.
You are free to test and share the door as much as you like, but if you intend on using it for longer
than 30 days, you should register it. Registration unlocks many of the advanced features of this
groundbreaking door and encourages further development on it and many other projects in the works.
Lone Wolf Software is dedicated to advancing the BBS hobby in the age of AI and taking advantage of
the latest AI based technology.

You can register AI-WX online and receive a registration code immediately by going to
https://www.firesidebbs.com

Features Include:
Ability to request the weather for any place on the planet
User friendly search and navigation interface
Displays in both Imperial (US) and Metric formats based on weather data location
Pure 100% ANSI graphics, no special user terminal required for ANSI graphics
SIXEL graphics for those that can support it (SyncTerm and IcyTERM)
Current Weather Conditions
7 Day Forecasts
*Temperature Trends graphical displays
*Precipitation Trends graphical displays
*7 Day precipitation forecast bar chart
*Live radar animation with many zoom levels
*Live infrared cloud cover animation with many zoom levels
Costs less than a fancy cup of coffee
Shareware lets you try it before you *buy it

*Registered version only

